/* -*-c-*-
 *
 * $Id: acconfig.h,v 1.3 2000/06/17 12:57:46 mdw Exp $
 *
 * Configuration header for Catacomb
 *
 * (c) 1999 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Catacomb.
 *
 * Catacomb is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * Catacomb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with Catacomb; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: acconfig.h,v $
 * Revision 1.3  2000/06/17 12:57:46  mdw
 * New free counter noise generator, for use if /dev/random is
 * unavailable.
 *
 * Revision 1.2  1999/12/10 23:30:08  mdw
 * Change header file guard names.
 *
 * Revision 1.1  1999/09/03 08:41:11  mdw
 * Initial import.
 *
 */

#ifndef CATACOMB_ACCONFIG_H
#define CATACOMB_ACCONFIG_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Autoconfiguration data --------------------------------------------*/
@TOP@

/* Package and version number.  */
#define PACKAGE "catacomb"
#define VERSION "1.0.0"

/* If it's not provided already, define to be a signed integer type capable
 * of representing any object size.  (If in doubt, make it an `int'.)  */
#undef ssize_t

/* If not provided already, define to be whatever your system uses for
 * representing time.  (Probably `long'.)  */
#undef time_t

/* Define if you have working `setitimer' and `sigsetjmp' functions.  This
 * sill enable the free counter noise generator.  */
#define USE_FREEWHEEL

@BOTTOM@

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
